import { TextFieldProps } from "@mui/material";
import { ReactElement } from "react";
export interface NerdCurrencyFieldProps {
    value?: number;
    onChange?: (value: number) => void;
    textFieldProps?: TextFieldProps;
    currencySymbol?: string;
    decimalCharacter?: string;
    digitGroupSeparator?: string;
    multiplier?: number;
    signed?: boolean;
    padFractionalZeros?: boolean;
    normalizeZeros?: boolean;
    min?: number;
    max?: number;
    maxDigitAfterDecimal?: number;
}
/**
 *
 * @param {NerdCurrencyFieldProps} props Component props
 * @returns {ReactElement} NerdCurrencyField
 */
export default function NerdCurrencyField(props: NerdCurrencyFieldProps): ReactElement;
