import { TextFieldProps } from "@mui/material";
import { DatePickerProps } from "@mui/x-date-pickers-pro";
import { DateTime } from "luxon";
import { ReactElement } from "react";
export interface NerdDatePickerProps {
    value: DateTime | null;
    onChange: (newDate: DateTime | null) => void;
    textFieldProps?: TextFieldProps;
    datePickerProps?: Partial<DatePickerProps<DateTime | string, DateTime | string>>;
    hideIcon?: boolean;
    localeStringFormat?: Intl.DateTimeFormatOptions;
}
/**
 *
 * @param {NerdDatePickerProps} props Props
 * @returns {ReactElement} NerdDateTimePicker
 */
export default function NerdDatePicker(props: NerdDatePickerProps): ReactElement;
