import { TextFieldProps } from "@mui/material";
import { ReactElement } from "react";
export interface NerdPhoneFieldProps {
    textFieldProps?: TextFieldProps;
    onAccept?: (phoneNumber: string) => void;
    defaultValue?: string;
    defaultCountry?: string;
    format?: "international" | "national";
}
/**
 *
 * @param {NerdPhoneFieldProps} props Component props
 * @returns {ReactElement} NerdPhoneField
 */
export default function NerdPhoneField(props: NerdPhoneFieldProps): ReactElement;
