import { ReactElement, SyntheticEvent } from "react";
import { CountryWithCallingCode } from "./commonTypes";
interface StyledAutocompleteProps {
    open: boolean;
    anchorEl: null | HTMLElement;
    handleClose: () => void;
    onChange: (event: SyntheticEvent<Element, Event>, value: CountryWithCallingCode) => void;
    value: CountryWithCallingCode | undefined;
    options: CountryWithCallingCode[];
}
/**
 * This component should not be used externally. It aims to reduce the NerdPhoneField.tsx file length.
 *
 * @param {StyledAutocompleteProps} props Component props
 * @returns {ReactElement} StyledAutocomplete
 */
export default function StyledAutocomplete(props: StyledAutocompleteProps): ReactElement;
export {};
