import { ButtonProps, PopoverProps, TypographyProps } from "@mui/material";
import { ReactElement } from "react";
import { NerdNotifierProps } from "../nerdNotifier";
export interface NerdFileUploadProps {
    buttonLabel?: string;
    dropZoneLabel?: string;
    multiple?: boolean;
    accept?: string[];
    maxSize?: number;
    dense?: boolean;
    hideFilesList?: boolean;
    uploadFile: (file: File) => void;
    uploadedFilesList?: File[];
    browseFilesButtonProps?: ButtonProps;
    denseFilesListPopoverProps?: PopoverProps;
    limitSizeTypographyProps?: TypographyProps;
    limitSizeText?: string;
    acceptedFormatsTypographyProps?: TypographyProps;
    acceptedFormatsText?: string;
    fileErrorNotificationProps?: NerdNotifierProps;
}
/**
 *
 * @param {NerdFileUploadProps} props Component props
 * @returns {ReactElement} NerdFileUpload
 */
export default function NerdFileUpload(props: NerdFileUploadProps): ReactElement;
