/// <reference types="react" />
import { NerdNotificationProps } from "../typings";
declare type openHookAction = {
    open: boolean;
    onHandleClose: (evt: boolean) => void;
};
/**
 *
 * @param {NerdNotificationProps & openHookAction} param0 Component props
 * @returns {JSX.Element} Intrusive nerdNotifier
 */
export declare function Intrusive({ title, subtitle, body, icon, actions, severity, open, autoHideDuration, autohide, showIcon, onHandleClose, unstyled, actionPrimaryProps, actionSecondaryProps, }: NerdNotificationProps & openHookAction): JSX.Element;
export {};
